REM  BUSYPCB.EXE
REM  written to tell other node that a door is in use.
REM  written by Dave Pletsch, Hillside Systems, BBS (519)821-6389  Apr 8 89
REM  PUBLIC DOMAIN - FREE WARE - NO GUARANTEES - USE AT YOUR OWN RISK
VERSION = 1.4  'fixed for maximum 19200 baud rate.
'-----------------------
DEF FNUCASE$(X$)
    LENGTH=LEN(X$)
    IF LENGTH=0 THEN FNUCASE$="":EXIT DEF
    FOR Z=1 TO LENGTH
       TE=ASC(MID$(X$,Z,1))
       IF TE>96 AND TE<127 THEN
	  MID$(X$,Z,1)=CHR$(TE-32)
       END IF
    NEXT
    FNUCASE$=X$
END DEF

DEF FNRTRIM$(X$)
    LENGTH=LEN(X$)
    IF LENGTH=0 THEN FNRTRIM$="":EXIT DEF
    FOR Z = LENGTH TO 1 STEP -1
       TE=ASC(MID$(X$,Z,1))
       IF TE <> 032 THEN
	  CUT=Z
	  Z=0
       END IF
    NEXT
    FNRTRIM$=LEFT$(X$,CUT)
END DEF
'---------------------
FILENAM$ = COMMAND$
FILENAM$ = FNUCASE$(FILENAM$)
IF FILENAM$ = "" THEN
  CLS
  PRINT "VERSION #"; VERSION; " BUSYPCB.EXE"
  PRINT "Usage requires format:  BUSYPCB C:\PCB\PCBOARD.SYS"
  PRINT "                               ^ space"
  END
END IF

OPEN FILENAM$ FOR INPUT AS #1 LEN = 128
SYSOP.DISPLAY$ = INPUT$(2, #1)         '-1 = ON  0 = OFF
PRINTER$ = INPUT$(2, #1)               '-1 = ON  0 = OFF
PAGEBELL$ = INPUT$(2, #1)              '-1 = ON  0 = OFF
CALLALARM$ = INPUT$(2, #1)             '-1 = ON  0 = OFF
SYSOP.FLAG$ = INPUT$(1, #1)            'N X OR SPACE
MODEM.ERR.COR$ = INPUT$(2, #1)         '-1 = YES  0 = NO
GRAPHICS$ = INPUT$(1, #1)              'Y N 7
NODECHAT$ = INPUT$(1, #1)              'U A
BPS.OPEN$ = INPUT$(5, #1)              'BPS TO OPEN MODEM PORT AT
BPS.CONNECT$ = INPUT$(5, #1)           'CONNECT RATE OR Local
USER.NUM = CVI(INPUT$(2, #1))          'USER DATABASE RECORD NUMBER
FIRST.NAME$ = INPUT$(15, #1)           'PADDED TO 15 SPACES
PASSWORD$ = INPUT$(12, #1)             'PADDED TO 12 SPACES
TIME.LOG.ON = CVI(INPUT$(2, #1))       'TIME USER LOGGED ON IN MINUTES
TIME.USED = CVI(INPUT$(2, #1))         'TIME USED THAT DAY 0 OR -XX
TIME.START$ = INPUT$(5, #1)            'TIME LOGGED ON HH:MM
TIME.TOTAL = CVI(INPUT$(2, #1))        'ALLOWED TIME FROM PWD FILE
ALLOW.DL = CVI(INPUT$(2, 1))           'BYTES X 1024 DOWNLOAD BYTES
BBS.AREA$ = INPUT$(1, #1)              'AREA EXITED FROM
BBS.MAP$ = INPUT$(5, #1)               'BITMAP OF AREAS USER WAS IN
BBS.YMAP$ = INPUT$(5, #1)              'BITMAP OF AREAS WITH Y COMMAND
ADD.TIME = CVI(INPUT$(2, #1))          'AREA ADD TIME MINUTES
CHAT.TIME = CVI(INPUT$(2, #1))         'CHAT CREDIT TIME
LANUAGE$ = INPUT$(4, #1)               'LANGUAGE BEING USED
NAME$ = INPUT$(25, #1)                 'FIRST AND LAST NAME
MIN.LEFT = CVI(INPUT$(2, #1))          'MINUTES REMAINING FOR CALLER
NODE.NUM$ = INPUT$(1, #1)              'NODE NUMBER
EVENT$ = INPUT$(5, #1)                 'HH:MM FOR SCHEDULED EVENT
EVENT.ACT$ = INPUT$(2, #1)             'EVENT ACTIVE -1 = YES 0 = NO
EVENT.SLD$ = INPUT$(2, #1)             'EVENT SLIDE  -1 = YES 0 = NO
MESS.MEM = CVS(INPUT$(4, #1))          'MEMORIZED MESSAGE NUMBER
COMPORT$ = INPUT$(1, #1)               'COM PORT 0,1,2
INTERNAL$ = INPUT$(2, #1)              'INTERNAL USE
CLOSE #1

CLS
IF BPS.CONNECT$ = "Local" THEN BPS.OPEN$ = "0"
FIRST.NAME$ = FNRTRIM$(FIRST.NAME$)
CUT = LEN(FIRST.NAME$) + 2
LNAME$ = MID$(NAME$, CUT)
COMPORT$ = "COM" + COMPORT$ + ":"
FIRST.NAME$ = FNUCASE$(FIRST.NAME$)
LNAME$ = FNRTRIM$(LNAME$)
PRINT "VERSION #"; VERSION; " BUSYPCB.EXE"
PRINT "Information from "FILENAM$: PRINT
PRINT "TIME LEFT:    "; MIN.LEFT
PRINT "FULL NAME:    "; NAME$
PRINT "COMPORT:      "; COMPORT$
PRINT "BAUD CONNECT: "; BPS.OPEN$
PRINT "GRAPHICS      "; GRAPHICS$

IF BPS.OPEN$ = "0" THEN
   PRINT  "Dungeon Stompers is in use by another node.  Please try again later. Thanks.."
   END
END IF

SPECS$ = COMPORT$+BPS.OPEN$+",N,8,1,CS,DS"
OPEN SPECS$ AS #2 LEN=255
PRINT SPECS$
PRINT "Dungeon Stompers is in use by another node.  Please try again later. Thanks.."
PRINT #2, "Dungeon Stompers is in use by another node.  Please try again later. Thanks.."
CLOSE #2
END







 



